A YAKINDU összeomlik az eclipse indulásakor, fordításkor és a generátor megnyitásakor.

0 votes
asked Apr 20, 2013 in MDSD by mvince (70 points)  

A generátor megnyitásakor és buildeléskor az alábbi hibaüzenet fogad egy méretes stacktrace-szel:

org.eclipse.core.runtime.CoreException: Failed to create injector for org.yakindu.sct.generator.genmodel.SGen ExtensionFactory: org.yakindu.sct.generator.genmodel.ui.SGenExecutableExtensionFactory

A probléma az Xtend feltelepítése óta jelentkezik.

2 Answers

0 votes
answered Apr 23, 2013 by mvince (70 points)  
 
Best answer

A problémát valóban a Gábor által is megtalált oldalon említett Xtext 2.4.0 okozta. A megoldás az, hogy az Xtendet a saját update site-járól kell telepíteni, így választható a verzió - Xtend 2.3.0 és Xtext 2.3.0 kiválasztása esetén működik az Xtend és a YAKINDU is (valamint az IncQuery is ezekkel a verziókkal van tesztelve).

+1 vote
answered Apr 21, 2013 by szarnyasg (251 points)  

Itt találtam hasonlót:
https://groups.google.com/forum/embed/?place=forum%2Fyakindu-user&showsearch=true&theme=default#!topic/yakindu-user/wlxdXIdyblE

Ha ez alapján nem sikerült megjavítani, akkor valószínűleg a fenti levlistán tudnak segíteni. Majd írd le az Eclipse / Yakindu / Xtend verziót és az operációs rendszert hozzá.

...